# Uses of Interface
org.eclipse.gef.fx.swt.controls.FXControlAdapter.IControlFactory

Packages that use FXControlAdapter.IControlFactory
Package
Description
org.eclipse.gef.fx.swt.controls
This package provides a counterpart to the JavaFX/SWT integration, i.e.

## Uses of FXControlAdapter.IControlFactory in org.eclipse.gef.fx.swt.controls

Constructors in org.eclipse.gef.fx.swt.controls with parameters of type FXControlAdapter.IControlFactory
Modifier
Constructor
Description
``
`FXControlAdapter(FXControlAdapter.IControlFactory<T> controlFactory)`
Creates a new `FXControlAdapter` which uses the given `FXControlAdapter.IControlFactory` for the creation of the SWT `Control`.